<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SigGen: siggen::ScopedLog Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SigGen
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structsiggen_1_1_scoped_log.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structsiggen_1_1_scoped_log-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">siggen::ScopedLog Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>RAII class for logging entry on construction and exit on destruction.  
 <a href="structsiggen_1_1_scoped_log.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_logging_8h_source.html">Logging.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a20892ea7cd18ac3b47c69d89c90fbdc2"><td class="memItemLeft" align="right" valign="top"><a id="a20892ea7cd18ac3b47c69d89c90fbdc2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>ScopedLog</b> (char const *file, int line, char const *fn)</td></tr>
<tr class="separator:a20892ea7cd18ac3b47c69d89c90fbdc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac9ce61cfb5c4eddf25667804794e774e"><td class="memItemLeft" align="right" valign="top"><a id="ac9ce61cfb5c4eddf25667804794e774e"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>m_File</b></td></tr>
<tr class="separator:ac9ce61cfb5c4eddf25667804794e774e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a289a729be7165d0da0129161e32f5a2b"><td class="memItemLeft" align="right" valign="top"><a id="a289a729be7165d0da0129161e32f5a2b"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>m_Line</b></td></tr>
<tr class="separator:a289a729be7165d0da0129161e32f5a2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1236ca6f2a5499f5f6fd7e4452f7bb51"><td class="memItemLeft" align="right" valign="top"><a id="a1236ca6f2a5499f5f6fd7e4452f7bb51"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>m_Func</b></td></tr>
<tr class="separator:a1236ca6f2a5499f5f6fd7e4452f7bb51"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>RAII class for logging entry on construction and exit on destruction. </p>

<p class="definition">Definition at line <a class="el" href="_logging_8h_source.html#l00072">72</a> of file <a class="el" href="_logging_8h_source.html">Logging.h</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/x/siggen/lib/include/<a class="el" href="_logging_8h_source.html">Logging.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>siggen</b></li><li class="navelem"><a class="el" href="structsiggen_1_1_scoped_log.html">ScopedLog</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.16 </li>
  </ul>
</div>
</body>
</html>
